## ifcplusplus 0~git20190402.13744d5+dfsg

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.7.2)

# Set a default build type if none was specified https://blog.kitware.com/cmake-and-the-default-build-type/
set(default_build_type "Release")
 
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()
MESSAGE(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

project(IFCPP)
MESSAGE(STATUS "------------------------------------------------------------------------")

OPTION(BUILD_VIEWER_APPLICATION "Build the viewer example application" ON)
OPTION(BUILD_STATIC_LIBRARY "Build static library" ON)

IF(NOT WIN32)
    IF("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
        IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
            SET_PROPERTY(DIRECTORY APPEND PROPERTY
                COMPILE_DEFINITIONS $<$<CONFIG:Debug>:_DEBUG>
            )
        ENDIF()
    ENDIF()
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
ELSE(NOT WIN32)
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
ENDIF(NOT WIN32)

SET(CARVE_SOURCE_DIR ${IFCPP_SOURCE_DIR}/external/Carve)
SET(CARVE_BINARY_DIR ${IFCPP_BINARY_DIR})
SET(IFCPP_CONFIG_DIR "share/IFCPP/cmake")
ADD_SUBDIRECTORY (external/Carve)
ADD_SUBDIRECTORY (IfcPlusPlus)

# Install configuration file
INCLUDE(CMakePackageConfigHelpers)
SET(config_file_input  "${CMAKE_SOURCE_DIR}/cmake/IFCPPConfig.cmake.in")
SET(config_file_output "${CMAKE_BINARY_DIR}/cmake/IFCPPConfig.cmake")

CONFIGURE_PACKAGE_CONFIG_FILE(
  ${config_file_input}
  ${config_file_output}
  INSTALL_DESTINATION ${IFCPP_CONFIG_DIR})

INSTALL(
  FILES ${config_file_output}
  DESTINATION ${IFCPP_CONFIG_DIR})

IF(BUILD_VIEWER_APPLICATION)
  ADD_SUBDIRECTORY (examples/SimpleViewerExampleQt)
ENDIF()

=== IfcPlusPlus/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.7.2)

IF(NOT WIN32)
IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE "Release")
ENDIF()

SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
ENDIF(NOT WIN32)

FIND_PACKAGE(Boost REQUIRED)

FILE (GLOB ifc4_source "src/ifcpp/IFC4/lib/*.cpp")

SET(IFCPP_SOURCE_FILES 
  src/ifcpp/IFC4/EntityFactory.cpp
  src/ifcpp/IFC4/TypeFactory.cpp
  src/ifcpp/model/BuildingModel.cpp
  src/ifcpp/model/UnitConverter.cpp
  src/ifcpp/reader/AbstractReader.cpp
  src/ifcpp/reader/ReaderSTEP.cpp
  src/ifcpp/reader/ReaderXML.cpp
  src/ifcpp/reader/ReaderUtil.cpp
  src/ifcpp/writer/WriterSTEP.cpp
  src/ifcpp/writer/WriterUtil.cpp

  ${ifc4_source}
)

if (MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj ")
    
ENDIF()

IF(BUILD_STATIC_LIBRARY)
    ADD_LIBRARY(IfcPlusPlus STATIC ${IFCPP_SOURCE_FILES})
ELSE(BUILD_STATIC_LIBRARY)
    ADD_DEFINITIONS(-DIFCQUERY_AS_DYNAMIC_LIBRARY)
    ADD_DEFINITIONS(-DIFCQUERY_LIB)
    ADD_LIBRARY(IfcPlusPlus SHARED ${IFCPP_SOURCE_FILES})
ENDIF(BUILD_STATIC_LIBRARY)

TARGET_LINK_LIBRARIES(IfcPlusPlus
  PUBLIC
    carve)

TARGET_INCLUDE_DIRECTORIES(IfcPlusPlus
  PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>"
    "$<INSTALL_INTERFACE:include>")

IF(Boost_FOUND)

    TARGET_INCLUDE_DIRECTORIES(IfcPlusPlus
      PUBLIC
        ${Boost_INCLUDE_DIRS})

    TARGET_COMPILE_DEFINITIONS(IfcPlusPlus
      PUBLIC
        CARVE_SYSTEM_BOOST)

ENDIF()

set_target_properties(IfcPlusPlus PROPERTIES DEBUG_POSTFIX "d")

IF(WIN32)
    set_target_properties(IfcPlusPlus PROPERTIES LINK_FLAGS_DEBUG "/debug /INCREMENTAL:NO")
ENDIF()


INSTALL(
    DIRECTORY   src/ifcpp
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)
INSTALL(
    TARGETS IfcPlusPlus
    EXPORT  IfcPlusPlus
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
)

SET(target_output_filename IfcPlusPlus-targets.cmake)
SET(target_output "${CMAKE_BINARY_DIR}/cmake/${target_output_filename}")

export(
  EXPORT IfcPlusPlus
  FILE ${target_output}
  NAMESPACE IFCPP::)

install(
  EXPORT IfcPlusPlus
  DESTINATION ${IFCPP_CONFIG_DIR}
  FILE ${target_output_filename}
  NAMESPACE IFCPP::)

=== examples/SimpleViewerExampleQt/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.7.2)

IF(NOT WIN32)
IF(NOT CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE "Release")
ENDIF()

SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
ENDIF(NOT WIN32)

# Qt library
message(STATUS "Qt5 is used")
FIND_PACKAGE(Qt5Core REQUIRED)
FIND_PACKAGE(Qt5Widgets REQUIRED)
FIND_PACKAGE(Qt5OpenGL REQUIRED)
ADD_DEFINITIONS(${Qt5Widgets_DEFINITIONS})

FIND_PACKAGE(OpenSceneGraph REQUIRED osgDB osgUtil osgGA osgFX osgSim osgText osgViewer)

SET(IFCPPVIEWER_SOURCE_FILES 
  src/IfcPlusPlusSystem.cpp
  src/main.cpp
  src/cmd/CmdRemoveSelectedObjects.cpp
  src/cmd/CmdWriteIfcFile.cpp
  src/cmd/Command.cpp
  src/cmd/CommandManager.cpp
  src/cmd/LoadIfcFileCommand.cpp
  src/gui/IfcTreeWidget.cpp
  src/gui/MainWindow.cpp
  src/gui/TabReadWrite.cpp
  src/gui/TabView.cpp
  src/viewer/GraphicsWindowQt.cpp
  src/viewer/OrbitCameraManipulator.cpp
  src/viewer/OrbitCameraManipulator.cpp
  src/viewer/ViewerWidget.cpp
)

SET(IFCPPVIEWER_MOC_FILES
  src/IfcPlusPlusSystem.h
  src/gui/IfcTreeWidget.h
  src/gui/MainWindow.h
  src/gui/TabReadWrite.h
  src/gui/TabView.h
  src/viewer/ViewerWidget.h
)

FIND_PACKAGE(Boost) 
IF(Boost_FOUND)
    INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS}) 
	ADD_DEFINITIONS( -DCARVE_SYSTEM_BOOST )
ENDIF()

QT5_WRAP_CPP( IFCPPVIEWER_MOC_GENERATED_FILES ${IFCPPVIEWER_MOC_FILES})

ADD_EXECUTABLE(SimpleViewerExample 
  ${IFCPPVIEWER_MOC_GENERATED_FILES}
  ${IFCPPVIEWER_SOURCE_FILES}
  ${SimpleViewerExample_RESOURCES_RCC}
)

set_target_properties(SimpleViewerExample PROPERTIES DEBUG_POSTFIX "d")

If(UNIX)
    # ON Debian Stretch with cmake 3.7.2 OPENTHREADS_LIBRARY_DEBUG is a not known variable
    TARGET_LINK_LIBRARIES(SimpleViewerExample ${OPENTHREADS_LIBRARY})
else(UNIX)
    TARGET_LINK_LIBRARIES(SimpleViewerExample optimized ${OPENTHREADS_LIBRARY} debug ${OPENTHREADS_LIBRARY_DEBUG})
ENDIF()

TARGET_LINK_LIBRARIES(SimpleViewerExample
  IfcPlusPlus
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  Qt5::OpenGL
  optimized ${OSG_LIBRARY} debug ${OSG_LIBRARY_DEBUG}
  optimized ${OSGDB_LIBRARY} debug ${OSGDB_LIBRARY_DEBUG}
  optimized ${OSGDB_LIBRARY} debug ${OSGDB_LIBRARY_DEBUG}
  optimized ${OSGGA_LIBRARY} debug ${OSGGA_LIBRARY_DEBUG}
  optimized ${OSGUTIL_LIBRARY} debug ${OSGUTIL_LIBRARY_DEBUG}
  optimized ${OSGFX_LIBRARY} debug ${OSGFX_LIBRARY_DEBUG}
  optimized ${OSGVIEWER_LIBRARY} debug ${OSGVIEWER_LIBRARY_DEBUG}
  optimized ${OSGTEXT_LIBRARY} debug ${OSGTEXT_LIBRARY_DEBUG})

TARGET_INCLUDE_DIRECTORIES(SimpleViewerExample
  PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${OPENTHREADS_INCLUDE_DIR}
    ${OSG_INCLUDE_DIR}
    ${OSGGA_INCLUDE_DIR}
    ${OSGDB_INCLUDE_DIR}
    ${OSGUTIL_INCLUDE_DIR}
    ${OSGANIMATION_INCLUDE_DIR}
    ${OSGTEXT_INCLUDE_DIR})

INSTALL(
		TARGETS SimpleViewerExample
		RUNTIME DESTINATION bin
		LIBRARY DESTINATION bin
		ARCHIVE DESTINATION lib
	)

=== external/Carve/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.8.12)

IF(NOT WIN32)
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/Debug)
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/Debug)
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG ${CMAKE_BINARY_DIR}/Debug)
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/Release)
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/Release)
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_BINARY_DIR}/Release)

IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE "Release")
ENDIF()
ENDIF(NOT WIN32)

FIND_PACKAGE(Boost) 
IF(Boost_FOUND)
    INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS}) 
	ADD_DEFINITIONS( -DCARVE_SYSTEM_BOOST )
ENDIF()

SET(carve_VERSION_MAJOR 2)
SET(carve_VERSION_MINOR 0)
SET(carve_VERSION_PATCH 0a)
SET(CARVE_VERSION ${carve_VERSION_MAJOR}.${carve_VERSION_MINOR}.${carve_VERSION_PATCH})

CONFIGURE_FILE (
  "${CARVE_SOURCE_DIR}/src/include/carve/cmake-config.h.in"
  "${CARVE_BINARY_DIR}/include/carve/config.h"
)

SET(CARVE_SOURCE_FILES 
  src/lib/aabb.cpp
  src/lib/carve.cpp
  src/lib/convex_hull.cpp
  src/lib/csg.cpp
  src/lib/csg_collector.cpp
  src/lib/edge.cpp
  src/lib/face.cpp
  src/lib/geom.cpp
  src/lib/geom2d.cpp
  src/lib/geom3d.cpp
  src/lib/intersect.cpp
  src/lib/intersect_classify_edge.cpp
  src/lib/intersect_classify_group.cpp
  src/lib/intersect_debug.cpp
  src/lib/intersect_face_division.cpp
  src/lib/intersect_group.cpp
  src/lib/intersect_half_classify_group.cpp
  src/lib/intersection.cpp
  src/lib/math.cpp
  src/lib/mesh.cpp
  src/lib/octree.cpp
  src/lib/pointset.cpp
  src/lib/polyhedron.cpp
  src/lib/polyline.cpp
  src/lib/shewchuk_predicates.cpp
  src/lib/tag.cpp
  src/lib/timing.cpp
  src/lib/triangulator.cpp
  src/common/geometry.cpp  
)
IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
	ADD_DEFINITIONS(-DCMAKE_BUILD)
    ADD_LIBRARY(carve SHARED ${CARVE_SOURCE_FILES})
ELSE(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    ADD_LIBRARY(carve STATIC ${CARVE_SOURCE_FILES})
ENDIF()

# Use this to request C++11 features. Dependent targets will transitively get
# this requirement as well.
TARGET_COMPILE_FEATURES(carve PUBLIC cxx_auto_type)

set_target_properties(carve PROPERTIES DEBUG_POSTFIX "d")

TARGET_INCLUDE_DIRECTORIES(carve
  PUBLIC
    "$<BUILD_INTERFACE:${CARVE_SOURCE_DIR}/src/include>"
    "$<BUILD_INTERFACE:${CARVE_BINARY_DIR}/include>" # For the generated Config file
    "$<INSTALL_INTERFACE:include>"
)

INSTALL(
    DIRECTORY   src/include/carve
    DESTINATION include
    PATTERN "*.in" EXCLUDE
)
INSTALL(
    FILES "${CARVE_BINARY_DIR}/include/carve/config.h"
    DESTINATION include/carve
)
INSTALL(
    TARGETS carve
    EXPORT  carve
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
)

# Export the targets so they can be consumed by other cmake projects
SET(target_output_filename carve-targets.cmake)
SET(target_output "${CMAKE_BINARY_DIR}/cmake/${target_output_filename}")

export(
  EXPORT carve
  FILE ${target_output}
  NAMESPACE IFCPP::)

install(
  EXPORT carve
  DESTINATION ${IFCPP_CONFIG_DIR}
  FILE ${target_output_filename}
  NAMESPACE IFCPP::)

=== external/Carve/src/common/CMakeLists.txt ===
include_directories("${carve_SOURCE_DIR}/include")
include_directories("${carve_SOURCE_DIR}/external/GLOOP/include")
include_directories("${carve_SOURCE_DIR}/external/GLEW/include")
include_directories("${carve_SOURCE_DIR}/external/GLUI/include")

add_library(carve_fileformats      STATIC read_ply.cpp write_ply.cpp)
add_library(carve_misc             STATIC geometry.cpp)
if(CARVE_WITH_GUI)
  add_library(carve_ui             STATIC geom_draw.cpp scene.cpp)
endif(CARVE_WITH_GUI)

=== external/Carve/src/include/CMakeLists.txt ===
install(DIRECTORY carve
        DESTINATION "${CMAKE_INSTALL_PREFIX}/include"
        FILES_MATCHING
          PATTERN "*.hpp"
          PATTERN "internal" EXCLUDE
)

=== external/Carve/src/lib/CMakeLists.txt ===
include_directories("${carve_SOURCE_DIR}/include")

add_library(carve
            aabb.cpp
            carve.cpp
            convex_hull.cpp
            csg.cpp
            csg_collector.cpp
            edge.cpp
            face.cpp
            geom.cpp
            geom2d.cpp
            geom3d.cpp
            intersect.cpp
            intersect_classify_edge.cpp
            intersect_classify_group.cpp
            intersect_debug.cpp
            intersect_face_division.cpp
            intersect_group.cpp
            intersect_half_classify_group.cpp
            intersection.cpp
            math.cpp
            mesh.cpp
            octree.cpp
            pointset.cpp
            polyhedron.cpp
            polyline.cpp
            tag.cpp
            timing.cpp
            triangulator.cpp
            triangle_intersection.cpp
            shewchuk_predicates.cpp)

set_target_properties(carve PROPERTIES
                      VERSION   "${carve_VERSION_MAJOR}.${carve_VERSION_MINOR}.${carve_VERSION_PATCH}"
                      SOVERSION "${carve_VERSION_MAJOR}.${carve_VERSION_MINOR}")

install(TARGETS carve
        LIBRARY DESTINATION "${CMAKE_INSTALL_PREFIX}/lib"
        ARCHIVE DESTINATION "${CMAKE_INSTALL_PREFIX}/lib")

## ifcplusplus 0~git20190402.13744d5%2Bdfsg

=== debian/changelog ===
ifcplusplus (0~git20190402.13744d5+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 19 Jan 2020 09:34:21 +0100

ifcplusplus (0~git20190402.13744d5+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #934514)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 10 Oct 2019 22:53:03 +0200

=== debian/control ===
Source: ifcplusplus
Section: graphics
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Kurt Kremitzki <kurt@kwk.systems>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libboost-dev,
 libopenscenegraph-dev,
 libqt5opengl5-dev,
 libqt5widgets5,
 qt5-qmake,
 qtbase5-dev,
 qttools5-dev
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: http://www.ifcquery.com
Vcs-Git: https://salsa.debian.org/science-team/ifcplusplus.git
Vcs-Browser: https://salsa.debian.org/science-team/ifcplusplus

Package: ifcplusplus
Architecture: any
Depends:
 libifcplusplus (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
 - easy and efficient memory management using smart pointers
 - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the sample viewer.

Package: libifcplusplus
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format - runtime libraries
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
 - easy and efficient memory management using smart pointers
 - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the runtime libraries.

Package: libifcplusplus-dev
Section: libdevel
Architecture: any
Depends:
 libifcplusplus (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format - development
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
 - easy and efficient memory management using smart pointers
 - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the headers for building programs that
 use IFCplusplus.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
repack, \
repacksuffix=+dfsg" \
https://github.com/ifcquery/ifcplusplus/tags .*/Release-(\d.*[^dev])\.(?:tgz|tar\.(?:gz|bz2|xz))

## ifcplusplus 0~git20190402.13744d5+dfsg

=== debian/changelog ===
ifcplusplus (0~git20190402.13744d5+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/control: remove unneeded explicit dependency on libqt5widgets5.
    Closes: #1067910
  * Forward the gcc-13 patch upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Mar 2024 10:11:40 +0100

ifcplusplus (0~git20190402.13744d5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch from Adrian Bunk to fix FTBFS with gcc-13. Closes:
    #1037693
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * d/watch: fix for GitHub changes
  * d/rules: don't make a release build, so we can gather debug symbols

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Aug 2023 19:41:55 +0200

=== debian/control ===
Source: ifcplusplus
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kurt Kremitzki <kurt@kwk.systems>,
           Matteo F. Vescovi <mfv@debian.org>
Section: graphics
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libopenscenegraph-dev,
               libqt5opengl5-dev,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/ifcplusplus
Vcs-Git: https://salsa.debian.org/science-team/ifcplusplus.git
Homepage: https://www.ifcquery.com
Rules-Requires-Root: no

Package: ifcplusplus
Architecture: any
Depends: libifcplusplus (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
  - easy and efficient memory management using smart pointers
  - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the sample viewer.

Package: libifcplusplus
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format - runtime libraries
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
  - easy and efficient memory management using smart pointers
  - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the runtime libraries.

Package: libifcplusplus-dev
Architecture: any
Section: libdevel
Depends: libifcplusplus (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Reader and writer for IFC files in STEP format - development
 IfcPlusPlus is an open source C++ class model, as well as a reader
 and writer for IFC files in STEP format.
 .
 Features:
  - easy and efficient memory management using smart pointers
  - parallel reader for very fast parsing on multi-core CPU's
 .
 Additionally, there's a simple IFC viewer application, using Qt and
 OpenSceneGraph.
 .
 This package contains the headers for building programs that
 use IFCplusplus.

=== debian/watch ===
version=4

opts=\
repack,\
dversionmangle=auto,\
repacksuffix=+dfsg,\
searchmode=plain \
 https://api.github.com/repos/ifcquery/ifcplusplus/releases \
 https://api.github.com/repos/ifcquery/ifcplusplus/tarball/@ANY_VERSION@
